package com.dgtly.companyext.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;
import java.util.Date;

/**
 * 商户审核对象 company_examine
 * 
 * @author dgtly
 * @date 2020-02-13
 */
public class CompanyExamine extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 审核信息Id */
    private Long companyReviewedId;

    /** 审核状态 */
    @Excel(name = "审核状态")
    private Integer status;


    /** 审核日期 */
    @Excel(name = "审核日期")
    private String examineDate;

    /** 驳回理由 */
    @Excel(name = "驳回理由")
    private String rejectReason;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCompanyReviewedId(Long companyReviewedId)
    {
        this.companyReviewedId = companyReviewedId;
    }

    public Long getCompanyReviewedId()
    {
        return companyReviewedId;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }


    public String getExamineDate() {
        return examineDate;
    }

    public void setExamineDate(String examineDate) {
        this.examineDate = examineDate;
    }

    public void setRejectReason(String rejectReason)
    {
        this.rejectReason = rejectReason;
    }

    public String getRejectReason() 
    {
        return rejectReason;
    }



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("companyId", getCompanyReviewedId())
            .append("status", getStatus())
            .append("examineDate", getExamineDate())
            .append("rejectReason", getRejectReason())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
